// file included both from scripts & source code
#ifndef __UMIX
#define __UMIX

#define CONTROLS 16

#define PANEL_MAIN       0
#define PANEL_WAVE       1
#define PANEL_CD         2
#define PANEL_MIC        3
#define PANEL_LINE       4
#define PANEL_MIDI       5
#define PANEL_SPACE      6
#define PANEL_CENTER     7
#define PANEL_CUSTOMA    8
#define PANEL_CUSTOMB    9
#define PANEL_CUSTOMC   10
#define PANEL_CUSTOMD   11

#define PANEL_RECCD     12
#define PANEL_RECMIC    13
#define PANEL_RECLINE   14
#define PANEL_RECMIDI   15

#define PANEL_MAINRIGHT 16 // a special case

#ifndef NO_SCRIPT

import int   __cdecl panel_enable(int panel,int state); // panel_enable() is not ready now
import int   __cdecl panel_show(int panel,int state);
import int   __cdecl check_show(int panel,int state); // show/hide panel check only

// main left==0, main right==PANEL_MAINRIGHT - in 4 functions bellow ONLY
// main right==0 in any other function (main left are always visible & enabled)
import int   __cdecl check_get(int panel);
import int   __cdecl check_set(int panel,int state);
import int   __cdecl panel_get(int panel);
import int   __cdecl panel_set(int panel,int value);

import int   __cdecl error_box(char *title,char *format,...);

#endif //NO_SCRIPT
#endif //__UMIX
